Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2697843004: [LayoutNG] Add fields required for new multi-col approach. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by ikilpatrick
Modified:
3 months, 1 week ago
CC:
atotic+reviews_chromium.org, blink-reviews, blink-reviews-layout_chromium.org, cbiesinger, chromium-reviews, dgrogan+ng_chromium.org, eae+blinkwatch, glebl+reviews_chromium.org, jchaffraix+rendering, leviw+renderwatch, ojan+watch_chromium.org, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[LayoutNG] Add fields required for new multi-col approach. Adds: 1) UsedBlockSize() - used to communicate how much block size was used by preceeding fragments. 2) ChildBreakTokens() - used for resuming children in fragmented flow. 3) IsFinished() - if true the node cannot produce any more fragments. This shouldn't have any child break tokens. BUG=635619 Review-Url: https://codereview.chromium.org/2697843004 Cr-Commit-Position: refs/heads/master@{#451233} Committed: https://chromium.googlesource.com/chromium/src/+/ecb3fae9e265de59f536e27b66baeb641e90fae9

Patch Set 1 #

Total comments: 16

Patch Set 2 : rebase. #

Patch Set 3 : address comments. #

Messages

Total messages: 27 (13 generated)
ikilpatrick
Obviously have a look at high level approach here: crrev.com/2693193002 :)
3 months, 1 week ago (2017-02-15 19:05:17 UTC) #2
Gleb Lanbin
lgtm with nits https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_break_token.h#newcode13 third_party/WebKit/Source/core/layout/ng/ng_break_token.h:13: class NGLayoutInputNode; can we just include ...
3 months, 1 week ago (2017-02-15 19:21:39 UTC) #3
cbiesinger
https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode23 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:23: : NGBreakToken(kBlockBreakToken, /* is_finished */ false, node), Consider an ...
3 months, 1 week ago (2017-02-15 19:23:20 UTC) #5
cbiesinger
https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode41 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:41: // size is 150px the next fragment should have ...
3 months, 1 week ago (2017-02-15 19:24:22 UTC) #6
ikilpatrick
(just replying to cbiesinger atm). https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode41 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:41: // size is 150px ...
3 months, 1 week ago (2017-02-15 19:45:35 UTC) #7
mstensho
I don't think I have any further comments here. Just a rant about compilation times. ...
3 months, 1 week ago (2017-02-15 21:25:38 UTC) #8
cbiesinger1
https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode41 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:41: // size is 150px the next fragment should have ...
3 months, 1 week ago (2017-02-16 00:14:55 UTC) #10
ikilpatrick
https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode23 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:23: : NGBreakToken(kBlockBreakToken, /* is_finished */ false, node), On 2017/02/15 ...
3 months, 1 week ago (2017-02-16 17:01:30 UTC) #12
ikilpatrick
https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode23 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:23: : NGBreakToken(kBlockBreakToken, /* is_finished */ false, node), On 2017/02/16 ...
3 months, 1 week ago (2017-02-16 17:02:11 UTC) #14
cbiesinger
lgtm https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h File third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h (right): https://codereview.chromium.org/2697843004/diff/1/third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h#newcode23 third_party/WebKit/Source/core/layout/ng/ng_block_break_token.h:23: : NGBreakToken(kBlockBreakToken, /* is_finished */ false, node), On ...
3 months, 1 week ago (2017-02-16 22:03:49 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697843004/40001
3 months, 1 week ago (2017-02-17 02:00:11 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_TIMED_OUT, no build URL)
3 months, 1 week ago (2017-02-17 04:04:22 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2697843004/40001
3 months, 1 week ago (2017-02-17 05:36:51 UTC) #24
commit-bot: I haz the power
3 months, 1 week ago (2017-02-17 05:56:00 UTC) #27
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/ecb3fae9e265de59f536e27b66ba...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06